## GnomeDbForm

GnomeDbForm — Form to display and modify data in a GdaDataModel, with command buttons and indicators

##

# Synopsis

    struct      GnomeDbForm;
    struct      GnomeDbFormClass;
    struct      GnomeDbFormPriv;
    GtkWidget*  gnome_db_form_new               (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbForm

## Implemented Interfaces

GnomeDbForm implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "model"                GdaDataModel         : Read / Write / Construct Only
      "raw-form"             GnomeDbRawForm       : Read
      "widget-info"          GnomeDbDataWidgetInfo : Read

## Description

A longer description goes here.

## Details

### struct GnomeDbForm

    struct GnomeDbForm;

### struct GnomeDbFormClass

    struct GnomeDbFormClass {

    	GtkVBoxClass       parent_class;
    };

### struct GnomeDbFormPriv

    struct GnomeDbFormPriv;

### gnome_db_form_new ()

    GtkWidget*  gnome_db_form_new               (GdaDataModel *model);

Creates a new GnomeDbForm widget suitable to display the data in `model`

`model` : | a GdaDataModel
Returns : | the new widget

## Properties

"`model`" (GdaDataModel : Read / Write / Construct Only) |
"`raw-form`" (GnomeDbRawForm : Read) |
"`widget-info`" (GnomeDbDataWidgetInfo : Read) |

## See Also

The GnomeDbRawForm widget which is being used in this widget, or the GnomeDbGrid widget which displays data in a grid instead of a form.